@charset "UTF-8";

/**
Copyright 2019
**/

body {
	overscroll-behavior: contain;
	/* background-color: #edf2f9; */
    background-color: #F2F8FF;
}

header {
    /* background-color: #51459d; */
    /* background-color: #C4D3F9; */
    /* background-color: #B9CBF7; */
    /* background: rgb(255,255,255);
    background: -moz-linear-gradient(-45deg,  rgba(255,255,255,1) 39%, rgba(129,92,211,1) 100%);
    background: -webkit-linear-gradient(-45deg,  rgba(255,255,255,1) 39%,rgba(129,92,211,1) 100%);
    background: linear-gradient(135deg,  rgba(255,255,255,1) 39%,rgba(129,92,211,1) 100%);
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#ffffff', endColorstr='#815cd3',GradientType=1 ); */

    /* background: rgb(255,255,255);
    background: -moz-linear-gradient(-45deg,  rgba(255,255,255,1) 24%, rgba(129,92,211,1) 59%, rgba(87,73,218,1) 100%);
    background: -webkit-linear-gradient(-45deg,  rgba(255,255,255,1) 24%,rgba(129,92,211,1) 59%,rgba(87,73,218,1) 100%);
    background: linear-gradient(135deg,  rgba(255,255,255,1) 24%,rgba(129,92,211,1) 59%,rgba(87,73,218,1) 100%);
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#ffffff', endColorstr='#5749da',GradientType=1 ); */

    background: rgb(255,255,255);
background: -moz-linear-gradient(-45deg,  rgba(255,255,255,1) 24%, rgba(196,211,249,1) 59%, rgba(196,211,249,1) 100%);
background: -webkit-linear-gradient(-45deg,  rgba(255,255,255,1) 24%,rgba(196,211,249,1) 59%,rgba(196,211,249,1) 100%);
background: linear-gradient(135deg,  rgba(255,255,255,1) 24%,rgba(196,211,249,1) 59%,rgba(196,211,249,1) 100%);
filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#ffffff', endColorstr='#c4d3f9',GradientType=1 );

}

header .navbar-brand {
    background-color: #815CD3;
}

select:active,
select:focus {
	outline: none;
}

::selection {
	color: #FFF;
	background-color: #815CD3;
}

::-moz-selection {
	color: #FFF;
	background-color: #815CD3;
}

::-webkit-selection {
	color: #FFF;
	background-color: #815CD3;
}

::-webkit-scrollbar {
	width: .3rem;
	background: transparent;
}

::-webkit-scrollbar-track {
	-webkit-box-shadow: inset 0 0 6px rgba(248, 248, 248, 1);
	border-radius: .6rem;
}

::-webkit-scrollbar-thumb {
	border-radius: .6rem;
	background: #ccc;
	/* display: none; */
}

#qrcode img, #qrcode canvas {
    /* display: inline-block !important; */
    width: 100% !important;
    height: auto !important;
    margin: 0 !important;
    padding: 0 !important;
}

@keyframes caution {
	from { color: #FFC600; }
	to { color: #FFF; }
}

.text-primary, .page-link {
    color: #815CD3 !important;
}

.bg-primary {
    background-color: #815CD3 !important;
}

.btn-primary {
    /* background-color: #815CD3 !important; */
    border-color: #815CD3 !important;

    background: rgb(129,92,211);
    background: -moz-linear-gradient(-45deg,  rgba(129,92,211,1) 0%, rgba(87,73,218,1) 100%);
    background: -webkit-linear-gradient(-45deg,  rgba(129,92,211,1) 0%,rgba(87,73,218,1) 100%);
    background: linear-gradient(135deg,  rgba(129,92,211,1) 0%,rgba(87,73,218,1) 100%);
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#815cd3', endColorstr='#5749da',GradientType=1 );
}

.btn-check:focus+.btn-primary, .btn-primary:focus {
    box-shadow: 0 0 0 0.25rem rgb(129 92 211 / 50%);
}

.btn-check:active+.btn-primary:focus, .btn-check:checked+.btn-primary:focus, .btn-primary.active:focus, .btn-primary:active:focus, .show>.btn-primary.dropdown-toggle:focus {
    box-shadow: 0 0 0 0.25rem rgb(129 92 211 / 50%) !important;
}

.text-success {
    color: #10C795 !important;
}

.bg-success {
    background-color: #10C795 !important;
}

.btn-success {
    background-color: #10C795 !important;
    border-color: #10C795 !important;
}

.btn-check:focus+.btn-success, .btn-success:focus {
    box-shadow: 0 0 0 0.25rem rgb(16 199 149 / 50%);
}

.btn-check:active+.btn-success:focus, .btn-check:checked+.btn-success:focus, .btn-success.active:focus, .btn-success:active:focus, .show>.btn-success.dropdown-toggle:focus {
    box-shadow: 0 0 0 0.25rem rgb(16 199 149 / 50%) !important;
}

.text-danger {
    color: #fc3d40 !important;
}

.bg-danger {
    background-color: #fc3d40 !important;
}

.btn-danger {
    background-color: #fc3d40 !important;
    border-color: #fc3d40 !important;
}

.btn-check:focus+.btn-danger, .btn-danger:focus {
    box-shadow: 0 0 0 0.25rem rgb(252 61 64 / 50%);
}

.btn-check:active+.btn-danger:focus, .btn-check:checked+.btn-danger:focus, .btn-danger.active:focus, .btn-danger:active:focus, .show>.btn-danger.dropdown-toggle:focus {
    box-shadow: 0 0 0 0.25rem rgb(252 61 64 / 50%) !important;
}

.form-check-input:focus {
    box-shadow: 0 0 0 0.25rem rgb(129 92 211 / 25%);
}

.input-group-text {
    color: #FFF;
    background-color: #815CD3 !important;
    border: 1px solid #815CD3 !important;
}

.form-check-input:checked {
    background-color: #815CD3;
    border-color: #815CD3;
}

.page-item.active .page-link {
    color: #C4D3F9 !important;
    background-color: #815CD3 !important;
    border-color: #815CD3 !important;
}

.page-link:focus {
    box-shadow: 0 0 0 0.25rem rgb(129 92 211 / 25%);
}

/* table.dataTable.dtr-inline.collapsed>tbody>tr>td.dtr-control:before, table.dataTable.dtr-inline.collapsed>tbody>tr>th.dtr-control:before {
    background-color: #815CD3 !important;
} */

.table-bordered>:not(caption)>* {
    border-width: 1px !important;
}

.subtable tbody > tr > td {
    text-align: right;
    vertical-align: top;
}

td.details-control,
table.dataTable.dtr-inline.collapsed > tbody > tr > td.dtr-control::before, table.dataTable.dtr-inline.collapsed > tbody > tr > th.dtr-control::before {
    background-size: 15px !important;
    background: url('../../assets/img/details_open.svg') no-repeat center center;
    cursor: pointer;
}

tr.shown td.details-control,
table.dataTable.dtr-inline.collapsed > tbody > tr.parent > td.dtr-control::before, table.dataTable.dtr-inline.collapsed > tbody > tr.parent > th.dtr-control::before {
    background-size: 15px !important;
    background: url('../../assets/img/details_close.svg') no-repeat center center;
}

table.dataTable.dtr-inline.collapsed>tbody>tr>td.dtr-control:before, table.dataTable.dtr-inline.collapsed>tbody>tr>th.dtr-control:before {
    border: unset !important;
    box-shadow: unset !important;
    width: 15px;
    height: 15px;
    content: no-open-quote !important;
    color: #815CD3 !important;
}

.table>:not(:first-child) {
    border-top: 1px solid currentColor !important;
}

.table>:not(:last-child)>:last-child>* {
    /* border-bottom-color: currentColor; */
    border-bottom-color: inherit;
}

.form-control:focus {
    box-shadow: unset !important;
}

.datepickers-container {
    z-index: 1061 !important;
}

.btn-groups > a, .btn-groups > button {
    margin-right: .25rem;
    margin-bottom: 0.15rem;
}

[data-bs-toggle=popover] {
    cursor: pointer;
}

.popover {
    border-color: #FFF;
    box-shadow: 0 1rem 3rem rgba(0,0,0,.175);
}

.popover-header {
    background-color: #FFF;
}

.table-style {
    background-color: rgba(129,92,211,.06);
    border-color: #E9ECEF;
    color: #815CD3;
}

.table-style th {
    font-weight: 600 !important;
}